Bug 1730934 - Workstation Live DVD Rescue Mode
Summary: Workstation Live DVD Rescue Mode
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD - FEL
Version: 30
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 22:50 UTC by William R. Thissell
Modified: 2019-07-19 00:41 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1547278 None CLOSED During rescue startup boot process halts with "cannot open access to console, the root account is locked" 2019-09-05 07:43:57 UTC

Description William R. Thissell 2019-07-17 22:50:35 UTC
Description of problem:

Bug 1547278: https://bugzilla.redhat.com/show_bug.cgi?id=1547278
still exists in Fedora 30 Workstation Live DVD

Version-Release number of selected component (if applicable):

Fedora-Workstation-Live-x86_64-30-1.2.iso

How reproducible:

Always

Steps to Reproduce:
1.  Follow the above instructions in the bugzilla report above (link provided), except using the f30 documentation links instead of the f27 links.
2.  Try the section Booting Your Computer in Rescue Mode at: https://docs.fedoraproject.org/en-US/fedora/f30/install-guide/advanced/Boot_Options/index.html
3.  Try the section Booting to Rescue Mode at: https://docs.fedoraproject.org/en-US/fedora/f30/system-administrators-guide/kernel-module-driver-configuration/Working_with_the_GRUB_2_Boot_Loader/index.html#sec-Booting_to_Rescue_Mode

Actual results:

1.  Same as in Bug 1547278: https://bugzilla.redhat.com/show_bug.cgi?id=1547278
2.  Boots into Live Fedora 30, not rescue mode
3.  I get the message:

"You are in rescue mode.  After logging in , type "journalctl -xb" to view system logs, "systemctl reboot" to reboot, "systemctl default" or "exit" to boot into default mode.
  
Cannot open access to console, the root account is locked.
See sulogin(8) man page for more details.

Press Enter to continue."

Pressing Enter results in Live Fedora 30 GUI.

Expected results:

Enters rescue mode

Additional info:

What is the last version of Fedora where the rescue mode works?

I have to agree that the conclusions in Bug 1547278 still apply to Fedora 30 Workstation Live DVD:

"After testing I have concluded the following:

1. The statement "choose Rescue a Fedora system from the Troubleshooting submenu in the boot menu" is FALSE, said submenu does not exist

2. the statement "or use the inst.rescue boot option" is FALSE, although the boot options accept this parameter, it shows no change from a regular boot to the install disk, loading up the graphical user interface and asking to either Try Fedora or Install to Hard Drive.  This inevitably makes...

3. The statement "By default, rescue mode attaches an existing operating system to the rescue system under the directory /mnt/sysimage/" is FALSE, as with the above, as the option inst.rescue has no real effect on the boot process of the installation CD, it does not load the system OS to this directory, or any directory.


I will also note that I attempted to boot to systemd.unit=rescue.target to boot a clean system and was faced with the same "Cannot open access to console, the root account is locked." message and then continues with the boot process. This only happens when Root password is NOT set, it does work if there is a Root password, which means this will only work some of the time.

I also attempted to boot into systemd.unit=emergency.target which just booted me into the OS, not emergency mode."

Comment 1 William R. Thissell 2019-07-19 00:41:56 UTC
System is UEFI.

FYI, I created a Fedora 23 Live DVD to try rescue mode with that version because I noticed a bug report with that version from 2015 in rescue mode that did not apply to my condition, so I assumed that it might work.  I receive the same errors as described above.


Note You need to log in before you can comment on or make changes to this bug.